"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const minimist_1 = __importDefault(require("minimist"));
const _1 = require(".");
async function mainCli() {
    const config = getConfig();
    if (!config.input || !config.interfaceName) {
        console.log('Incorrect call\n' + printOwnHelp());
        process.exit(1);
    }
    console.log(_1.printHelp(config));
}
exports.mainCli = mainCli;
function getConfig() {
    const args = minimist_1.default(process.argv.slice(2));
    const config = Object.assign({}, args, {});
    // console.log({ config });
    return config;
}
function printOwnHelp() {
    return _1.printHelp({
        input: 'src/index.ts',
        interfaceName: 'Options'
    });
}
//# sourceMappingURL=cli.js.map